GET Pre-Game Player
https://glz-{region}-1.{shard}.a.pvp.net/pregame/v1/players/{puuid} Get the pre-game match ID for the provided player
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{region}There are 6 regions:
Obtaining locally:Region ID Region Name naNorth America latamLatin America brBrazil euEurope apAsia Pacific krKorea The region can be found in the ShooterGame log (
Obtaining remotely:%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log) when it's used in an endpoint url.
Example regex capturing region and shard:https://glz-(.+?)-1.(.+?).a.pvp.netUse the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type Pre-GamePlayerResponse = {
/** Player UUID */
Subject: string;
/** Pre-Game Match ID */
MatchID: string;
Version: number;
}; {
"Subject": "bC3d455b-26dF-500B-B2C3-c3abE8Fbe0Fa",
"MatchID": "b61DAfB9-d5B9-F05e-7aeD-50fB47Ecc970",
"Version": 4668493472727465
}